/*
	This file is part of Warzone 2100.
	Copyright (C) 1999-2004  Eidos Interactive
	Copyright (C) 2005-2007  Warzone Resurrection Project

	Warzone 2100 is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	Warzone 2100 is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with Warzone 2100; if not, write to the Free Software
	Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA
*/

/***********************************************/
/* Image ID definition file created by Framer. */
/***********************************************/

enum {
	IMAGE_PBAR_EMPTY,
	IMAGE_PBAR_AVAIL,
	IMAGE_PBAR_USED,
	IMAGE_PBAR_REQUIRED,
	IMAGE_BUT0_UP,
	IMAGE_BUT0_DOWN,
	IMAGE_BUTB0_UP,
	IMAGE_BUTB0_DOWN,
	IMAGE_BUT_HILITE,
	IMAGE_BUTB_HILITE,
	IMAGE_TAB1,
	IMAGE_TAB2,
	IMAGE_TAB3,
	IMAGE_TAB4,
	IMAGE_TAB1DOWN,
	IMAGE_TAB2DOWN,
	IMAGE_TAB3DOWN,
	IMAGE_TAB4DOWN,
	IMAGE_TABSELECTED,
	IMAGE_TABHILIGHT,
	IMAGE_FRAME_C0,
	IMAGE_FRAME_C1,
	IMAGE_FRAME_C2,
	IMAGE_FRAME_C3,
	IMAGE_PBAR_TOP,
	IMAGE_PBAR_BOTTOM,
	IMAGE_INTELMAP_UP,
	IMAGE_INTELMAP_DOWN,
	IMAGE_COMMANDDROID_UP,
	IMAGE_COMMANDDROID_DOWN,
	IMAGE_DESIGN_UP,
	IMAGE_DESIGN_DOWN,
	IMAGE_BUILD_UP,
	IMAGE_BUILD_DOWN,
	IMAGE_RESEARCH_UP,
	IMAGE_RESEARCH_DOWN,
	IMAGE_MANUFACTURE_UP,
	IMAGE_MANUFACTURE_DOWN,
	IMAGE_RETICULE_HILIGHT,
	IMAGE_RETICULE_BUTDOWN,
	IMAGE_CANCEL_UP,
	IMAGE_CANCEL_DOWN,
	IMAGE_CANCEL_HILIGHT,
	IMAGE_CLOSE,
	IMAGE_CLOSEDOWN,
	IMAGE_CLOSEHILIGHT,
	IMAGE_SLIDER_BUT,
	IMAGE_FRAME_HT,
	IMAGE_FRAME_HB,
	IMAGE_SLIDER_BACK,
	IMAGE_FRAME_VL,
	IMAGE_FRAME_VR,
	IMAGE_DES_TURRET,
	IMAGE_DES_TURRETH,
	IMAGE_DES_BODY,
	IMAGE_DES_BODYH,
	IMAGE_DES_PROPULSION,
	IMAGE_DES_PROPULSIONH,
	IMAGE_DES_HILIGHT,
	IMAGE_FRAME_VL2,
	IMAGE_FRAME_VR2,
	IMAGE_FRAME_VLH,
	IMAGE_FRAME_VRH,
	IMAGE_DES_WEAPONS,
	IMAGE_DES_WEAPONSDOWN,
	IMAGE_DES_SYSTEMS,
	IMAGE_DES_SYSTEMSDOWN,
	IMAGE_DES_COMMAND,
	IMAGE_DES_COMMANDDOWN,
	IMAGE_FRAME_HT2,
	IMAGE_FRAME_HB2,
	IMAGE_FRAME_HTH,
	IMAGE_FRAME_HBH,
	IMAGE_DES_POWERCURR,
	IMAGE_DES_STATSBACK,
	IMAGE_DES_STATSCURR,
	IMAGE_DES_POWERBACK,
	IMAGE_DES_EDITBOXLEFT,
	IMAGE_DES_EDITBOXLEFTH,
	IMAGE_FRAME_VC0,
	IMAGE_FRAME_VC1,
	IMAGE_FRAME_VC2,
	IMAGE_FRAME_VC3,
	IMAGE_FRAME_HC0,
	IMAGE_FRAME_HC1,
	IMAGE_FRAME_HC2,
	IMAGE_FRAME_HC3,
	IMAGE_DES_BACK,
	IMAGE_DES_STATSCOMP,
	IMAGE_DES_EXTRAHI,
	IMAGE_DES_TABWEAPON,
	IMAGE_DES_TABWEAPONDOWN,
	IMAGE_DES_BUILDRATE,
	IMAGE_DES_RANGE,
	IMAGE_DES_ARMOUR_EXPLOSIVE,
	IMAGE_DES_CROSSCOUNTRY,
	IMAGE_DES_ROAD,
	IMAGE_DES_WEIGHT,
	IMAGE_DES_DAMAGE,
	IMAGE_DES_POWER,
	IMAGE_DES_HOVER,
	IMAGE_DES_FIRERATE,
	IMAGE_DES_BODYPOINTS,
	IMAGE_ROCKET,
	IMAGE_CANNON,
	IMAGE_HOVERCRAFT,
	IMAGE_RES_MINOR_PLASSTEEL,
	IMAGE_ECM,
	IMAGE_PLASCRETE,
	IMAGE_RES_MINOR_RADAR,
	IMAGE_RES_MAJOR_PLASCRETE,
	IMAGE_RES_MAJOR_ELECTRONIC,
	IMAGE_RES_MAJOR_HEAVYWEP,
	IMAGE_RES_MAJOR_HOVER,
	IMAGE_0,
	IMAGE_1,
	IMAGE_2,
	IMAGE_3,
	IMAGE_4,
	IMAGE_5,
	IMAGE_6,
	IMAGE_7,
	IMAGE_8,
	IMAGE_9,
	IMAGE_DES_BARBACK,
	IMAGE_DES_BARBLUE,
	IMAGE_DES_BARRED,
	IMAGE_DES_BARYELLOW,
	IMAGE_INTEL_RESEARCH,
	IMAGE_INTEL_RESEARCHDOWN,
	IMAGE_INTEL_MISSION,
	IMAGE_INTEL_MISSIONDOWN,
	IMAGE_INTEL_CAMPAIGN,
	IMAGE_INTEL_CAMPAIGNDOWN,
	IMAGE_ASCII33,
	IMAGE_ASCII34,
	IMAGE_ASCII35,
	IMAGE_ASCII36,
	IMAGE_ASCII37,
	IMAGE_ASCII38,
	IMAGE_ASCII39,
	IMAGE_ASCII40,
	IMAGE_ASCII41,
	IMAGE_ASCII42,
	IMAGE_ASCII43,
	IMAGE_ASCII44,
	IMAGE_ASCII45,
	IMAGE_ASCII46,
	IMAGE_ASCII47,
	IMAGE_ASCII48,
	IMAGE_ASCII49,
	IMAGE_ASCII50,
	IMAGE_ASCII51,
	IMAGE_ASCII52,
	IMAGE_ASCII53,
	IMAGE_ASCII54,
	IMAGE_ASCII55,
	IMAGE_ASCII56,
	IMAGE_ASCII57,
	IMAGE_ASCII58,
	IMAGE_ASCII59,
	IMAGE_ASCII60,
	IMAGE_ASCII61,
	IMAGE_ASCII62,
	IMAGE_ASCII63,
	IMAGE_ASTERISK,
	IMAGE_ASCII65,
	IMAGE_ASCII66,
	IMAGE_ASCII67,
	IMAGE_ASCII68,
	IMAGE_ASCII69,
	IMAGE_ASCII70,
	IMAGE_ASCII71,
	IMAGE_ASCII72,
	IMAGE_ASCII73,
	IMAGE_ASCII74,
	IMAGE_ASCII75,
	IMAGE_ASCII76,
	IMAGE_ASCII77,
	IMAGE_ASCII78,
	IMAGE_ASCII79,
	IMAGE_ASCII80,
	IMAGE_ASCII81,
	IMAGE_ASCII82,
	IMAGE_ASCII83,
	IMAGE_ASCII84,
	IMAGE_ASCII85,
	IMAGE_ASCII86,
	IMAGE_ASCII87,
	IMAGE_ASCII88,
	IMAGE_ASCII89,
	IMAGE_ASCII90,
	IMAGE_ASCII91,
	IMAGE_ASCII92,
	IMAGE_ASCII93,
	IMAGE_ASCII94,
	IMAGE_ASCII95,
	IMAGE_ASCII96,
	IMAGE_ASCII97,
	IMAGE_ASCII98,
	IMAGE_ASCII99,
	IMAGE_ASCII100,
	IMAGE_ASCII101,
	IMAGE_ASCII102,
	IMAGE_ASCII103,
	IMAGE_ASCII104,
	IMAGE_ASCII105,
	IMAGE_ASCII106,
	IMAGE_ASCII107,
	IMAGE_ASCII108,
	IMAGE_ASCII109,
	IMAGE_ASCII110,
	IMAGE_ASCII111,
	IMAGE_ASCII112,
	IMAGE_ASCII113,
	IMAGE_ASCII114,
	IMAGE_ASCII115,
	IMAGE_ASCII116,
	IMAGE_ASCII117,
	IMAGE_ASCII118,
	IMAGE_ASCII119,
	IMAGE_ASCII120,
	IMAGE_ASCII121,
	IMAGE_ASCII122,
	IMAGE_ASCII123,
	IMAGE_ASCII124,
	IMAGE_ASCII125,
	IMAGE_ASCII126,
	IMAGE_CURSOR_ATTACK,
	IMAGE_CURSOR_SELECT,
	IMAGE_CURSOR_LOCKON,
	IMAGE_CURSOR_ECM,
	IMAGE_CURSOR_DEFAULT,
	IMAGE_CURSOR_BUILD,
	IMAGE_CURSOR_MOVE,
	IMAGE_CURSOR_GUARD,
	IMAGE_CURSOR_EMBARK,
	IMAGE_CURSOR_BRIDGE,
	IMAGE_CURSOR_ATTACH,
	IMAGE_CURSOR_FIX,
	IMAGE_CURSOR_REPAIR,
	IMAGE_CURSOR_PICKUP,
	IMAGE_CURSOR_NOTPOS,
	IMAGE_SIDETAB,
	IMAGE_SIDETABHI,
	IMAGE_SIDETABDOWN,
	IMAGE_SIDETABSEL,
	IMAGE_DES_STATBACKLEFT,
	IMAGE_DES_STATBACKRIGHT,
	IMAGE_DES_STATBACKMID,
	IMAGE_SLIDER_BIG,
	IMAGE_STAR,
	IMAGE_TRACKS,
	IMAGE_RES_MINOR_AUTOWEAPONS,
	IMAGE_RES_MAJOR_ROCKET,
	IMAGE_QUESTION_MARK,
	IMAGE_RES_DROIDTECH,
	IMAGE_RES_WEAPONTECH,
	IMAGE_RES_COMPUTERTECH,
	IMAGE_RES_POWERTECH,
	IMAGE_RES_SYSTEMTECH,
	IMAGE_RES_STRUCTURETECH,
	IMAGE_RES_QUESTIONMARK,
	IMAGE_ORD_DESTRUCT1UP,
	IMAGE_ORD_DESTRUCT1DOWN,
	IMAGE_ORD_RANGE1UP,
	IMAGE_ORD_RANGE1DOWN,
	IMAGE_ORD_RANGE2UP,
	IMAGE_ORD_RANGE2DOWN,
	IMAGE_ORD_RANGE3UP,
	IMAGE_ORD_RANGE3DOWN,
	IMAGE_ORD_REPAIR2UP,
	IMAGE_ORD_REPAIR2DOWN,
	IMAGE_ORD_REPAIR1UP,
	IMAGE_ORD_REPAIR1DOWN,
	IMAGE_ORD_REPAIR3UP,
	IMAGE_ORD_REPAIR3DOWN,
	IMAGE_ORD_FATWILLUP,
	IMAGE_ORD_FATWILLDOWN,
	IMAGE_ORD_RETFIREUP,
	IMAGE_ORD_RETFIREDOWN,
	IMAGE_ORD_HOLDFIREUP,
	IMAGE_ORD_HOLDFIREDOWN,
	IMAGE_ORD_HALTUP,
	IMAGE_ORD_HALTDOWN,
	IMAGE_ORD_GOTOHQUP,
	IMAGE_ORD_GOTOHQDOWN,
	IMAGE_ORD_DESTRUCT2UP,
	IMAGE_ORD_DESTRUCT2DOWN,
	IMAGE_ORD_DESTRUCT2GREY,
	IMAGE_SLIDER_BIGBUT,
	IMAGE_SLIDER_INFINITY,
	IMAGE_RAD_ENMREAD,
	IMAGE_RAD_ENM1,
	IMAGE_RAD_ENM2,
	IMAGE_RAD_ENM3,
	IMAGE_RAD_RESREAD,
	IMAGE_RAD_RES1,
	IMAGE_RAD_RES2,
	IMAGE_RAD_RES3,
	IMAGE_RAD_ARTREAD,
	IMAGE_RAD_ART1,
	IMAGE_RAD_ART2,
	IMAGE_RAD_ART3,
	IMAGE_MULTI_NOAL,
	IMAGE_MULTI_OFFAL,
	IMAGE_MULTI_AL,
	IMAGE_MULTI_NOAL_HI,
	IMAGE_MULTI_OFFAL_HI,
	IMAGE_MULTI_AL_HI,
	IMAGE_MULTI_VIS,
	IMAGE_MULTI_POW,
	IMAGE_MULTI_DRO,
	IMAGE_MULTI_TEK,
	IMAGE_MULTI_TEK_HI,
	IMAGE_MULTI_DRO_HI,
	IMAGE_MULTI_POW_HI,
	IMAGE_MULTI_VIS_HI,
	IMAGE_CMDDROID_EXP,
	IMAGE_NRUTER,
	IMAGE_MISSION_CLOCK,
	IMAGE_LAUNCHDOWN,
	IMAGE_TRANSETA_UP,
	IMAGE_ORD_FAC1UP,
	IMAGE_ORD_FAC1DOWN,
	IMAGE_ORD_FAC2UP,
	IMAGE_ORD_FAC2DOWN,
	IMAGE_ORD_FAC3UP,
	IMAGE_ORD_FAC3DOWN,
	IMAGE_ORD_FAC4UP,
	IMAGE_ORD_FAC4DOWN,
	IMAGE_ORD_FAC5UP,
	IMAGE_ORD_FAC5DOWN,
	IMAGE_ORD_FACHILITE,
	IMAGE_RETICULE_GREY,
	IMAGE_INFINITE_UP,
	IMAGE_INFINITE_DOWN,
	IMAGE_INFINITE_HI,
	IMAGE_DES_BIN,
	IMAGE_DES_BINH,
	IMAGE_AUDIO_LASTSAMPLE,
	IMAGE_AUDIO_LASTSAMPLEH,
	IMAGE_DES_POWERBAR_LEFT,
	IMAGE_DES_POWERBAR_RIGHT,
	IMAGE_DES_EDITBOXMID,
	IMAGE_DES_EDITBOXRIGHT,
	IMAGE_DES_EDITBOXMIDH,
	IMAGE_DES_EDITBOXRIGHTH,
	IMAGE_CURSOR_DEST,
	IMAGE_RES_CYBORGTECH,
	IMAGE_LOOP_UP,
	IMAGE_LOOP_DOWN,
	IMAGE_LOOP_HI,
	IMAGE_CDP_DOWN,
	IMAGE_CDP_UP,
	IMAGE_CDP_HI,
	IMAGE_FDP_DOWN,
	IMAGE_FDP_UP,
	IMAGE_FDP_HI,
	IMAGE_VDP_DOWN,
	IMAGE_VDP_UP,
	IMAGE_VDP_HI,
	IMAGE_GN_STAR,
	IMAGE_GN_9,
	IMAGE_GN_8,
	IMAGE_GN_7,
	IMAGE_GN_6,
	IMAGE_GN_5,
	IMAGE_GN_4,
	IMAGE_GN_3,
	IMAGE_GN_2,
	IMAGE_GN_1,
	IMAGE_GN_0,
	IMAGE_ORD_PATROLUP,
	IMAGE_ORD_PATROLDOWN,
	IMAGE_ORD_PERSUEUP,
	IMAGE_ORD_PERSUEDOWN,
	IMAGE_ORD_GUARDUP,
	IMAGE_ORD_GUARDDOWN,
	IMAGE_ORD_RTRUP,
	IMAGE_ORD_RTRDOWN,
	IMAGE_ORD_EMBARKUP,
	IMAGE_ORD_EMBARKDOWN,
	IMAGE_MULTI_NOCHAN,
	IMAGE_MULTI_CHAN,
	IMAGE_CDCHANGE_OK,
	IMAGE_CDCHANGE_CANCEL,
	IMAGE_LEV_0,
	IMAGE_LEV_1,
	IMAGE_LEV_2,
	IMAGE_LEV_3,
	IMAGE_LEV_4,
	IMAGE_LEV_5,
	IMAGE_LEV_6,
	IMAGE_LEV_7,
	IMAGE_RES_DEFENCE,
	IMAGE_ASCII188,
	IMAGE_ASCII189,
	IMAGE_ASCII224,
	IMAGE_ASCII225,
	IMAGE_ASCII226,
	IMAGE_ASCII227,
	IMAGE_ASCII228,
	IMAGE_ASCII229,
	IMAGE_ASCII230,
	IMAGE_ASCII231,
	IMAGE_ASCII232,
	IMAGE_ASCII233,
	IMAGE_ASCII234,
	IMAGE_ASCII235,
	IMAGE_ASCII236,
	IMAGE_ASCII237,
	IMAGE_ASCII238,
	IMAGE_ASCII239,
	IMAGE_ASCII242,
	IMAGE_ASCII243,
	IMAGE_ASCII244,
	IMAGE_ASCII245,
	IMAGE_ASCII246,
	IMAGE_ASCII249,
	IMAGE_ASCII250,
	IMAGE_ASCII251,
	IMAGE_ASCII252,
	IMAGE_ASCII253,
	IMAGE_ASCII241,
	IMAGE_ASCII248,
	IMAGE_ASCII223,
	IMAGE_ASCII221,
	IMAGE_ASCII218,
	IMAGE_ASCII219,
	IMAGE_ASCII217,
	IMAGE_ASCII220,
	IMAGE_ASCII216,
	IMAGE_ASCII212,
	IMAGE_ASCII213,
	IMAGE_ASCII214,
	IMAGE_ASCII211,
	IMAGE_ASCII210,
	IMAGE_ASCII192,
	IMAGE_ASCII193,
	IMAGE_ASCII194,
	IMAGE_ASCII195,
	IMAGE_ASCII196,
	IMAGE_ASCII197,
	IMAGE_ASCII198,
	IMAGE_ASCII200,
	IMAGE_ASCII201,
	IMAGE_ASCII202,
	IMAGE_ASCII203,
	IMAGE_ASCII204,
	IMAGE_ASCII205,
	IMAGE_ASCII206,
	IMAGE_ASCII207,
	IMAGE_ASCII208,
	IMAGE_ASCII191,
	IMAGE_ASCII161,
	IMAGE_ASCII131,
	IMAGE_RES_GRPUPG,
	IMAGE_RES_GRPREP,
	IMAGE_RES_GRPROF,
	IMAGE_RES_GRPACC,
	IMAGE_RES_GRPDAM,
	IMAGE_MISSION_CLOCK_UP,
	IMAGE_TARGET1,
	IMAGE_TARGET2,
	IMAGE_TARGET3,
	IMAGE_TARGET4,
	IMAGE_TARGET5,
	IMAGE_TAB1_SM,
	IMAGE_TAB1SELECTED_SM,
	IMAGE_TAB1DOWN_SM,
	IMAGE_TABHILIGHT_SM,
	IMAGE_DES_ARMOUR_KINETIC,
	IMAGE_BLUE1,
	IMAGE_BLUE2,
	IMAGE_BLUE3,
	IMAGE_BLUE4,
	IMAGE_BLUE5,
	IMAGE_BLUE6,
	IMAGE_LAUNCHUP,
	IMAGE_TRANSETA_DOWN,
	IMAGE_ORD_FIREDES_UP,
	IMAGE_ORD_FIREDES_DOWN,
	IMAGE_ASCII64,
};
